summaryrefslogtreecommitdiffstats
path: root/deployment/zip
diff options
context:
space:
mode:
authorKanagaraj Manickam k00365106 <kanagaraj.manickam@huawei.com>2017-10-23 17:38:54 +0530
committerKanagaraj Manickam k00365106 <kanagaraj.manickam@huawei.com>2017-11-21 18:07:44 +0530
commitd2c0f8345fc83e04cfaf3d24b8a3392e6d18c67d (patch)
tree5c779796d85ae5c337e20acb1e1a88b112c36135 /deployment/zip
parent5afc1ab68f9eb20232d02f6b463758637cdda540 (diff)
Move install.sh into zip root folder
Issue-Id: CLI-66 Change-Id: I316788d3f9fc036da71479be7106150b82e25330 Signed-off-by: Kanagaraj Manickam k00365106 <kanagaraj.manickam@huawei.com>
Diffstat (limited to 'deployment/zip')
-rw-r--r--deployment/zip/installer/install-latest.sh58
-rw-r--r--deployment/zip/installer/install.sh41
-rw-r--r--deployment/zip/pom.xml7
3 files changed, 74 insertions, 32 deletions
diff --git a/deployment/zip/installer/install-latest.sh b/deployment/zip/installer/install-latest.sh
new file mode 100644
index 00000000..71488dae
--- /dev/null
+++ b/deployment/zip/installer/install-latest.sh
@@ -0,0 +1,58 @@
+#!/bin/bash
+
+#*******************************************************************************
+# Copyright 2017 Huawei Technologies Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#*******************************************************************************
+
+CLI_LATEST_BINARY="https://nexus.onap.org/service/local/artifact/maven/redirect?r=snapshots&g=org.onap.cli&a=cli-zip&e=zip&v=LATEST"
+CLI_INSTALL_DIR=/opt/onap/cli
+CLI_ZIP=cli.zip
+CLI_BIN=/usr/bin/onap
+export OPEN_CLI_HOME=$CLI_INSTALL_DIR
+
+#create install dir
+if [ -d $CLI_INSTALL_DIR ]
+then
+ mv $CLI_INSTALL_DIR $CLI_INSTALL_DIR/../cli_`date +"%m-%d-%y-%H-%M-%S"`
+ rm $CLI_BIN
+fi
+
+mkdir -p $CLI_INSTALL_DIR
+cd $CLI_INSTALL_DIR
+
+#Download and unzip CLI
+apt-get install -y wget unzip
+
+#check for java
+java -version
+if [ $? == 127 ]
+then
+ apt-get install -y openjdk-8-jre
+fi
+
+wget -O $CLI_ZIP $CLI_LATEST_BINARY
+
+unzip $CLI_ZIP
+if [ ! -d ./data ]; then mkdir ./data; fi
+if [ ! -d ./open-cli-schema ]; then mkdir ./open-cli-schema; fi
+chmod +x ./bin/oclip.sh
+
+#Make oclip available in path
+ln ./bin/oclip.sh $CLI_BIN
+
+#Print the version
+onap -v
+
+cd -
diff --git a/deployment/zip/installer/install.sh b/deployment/zip/installer/install.sh
index 71488dae..ae702271 100644
--- a/deployment/zip/installer/install.sh
+++ b/deployment/zip/installer/install.sh
@@ -16,43 +16,20 @@
# limitations under the License.
#*******************************************************************************
-CLI_LATEST_BINARY="https://nexus.onap.org/service/local/artifact/maven/redirect?r=snapshots&g=org.onap.cli&a=cli-zip&e=zip&v=LATEST"
-CLI_INSTALL_DIR=/opt/onap/cli
-CLI_ZIP=cli.zip
-CLI_BIN=/usr/bin/onap
-export OPEN_CLI_HOME=$CLI_INSTALL_DIR
-
-#create install dir
-if [ -d $CLI_INSTALL_DIR ]
-then
- mv $CLI_INSTALL_DIR $CLI_INSTALL_DIR/../cli_`date +"%m-%d-%y-%H-%M-%S"`
- rm $CLI_BIN
-fi
-
-mkdir -p $CLI_INSTALL_DIR
-cd $CLI_INSTALL_DIR
-
-#Download and unzip CLI
-apt-get install -y wget unzip
-
-#check for java
-java -version
-if [ $? == 127 ]
-then
- apt-get install -y openjdk-8-jre
-fi
-
-wget -O $CLI_ZIP $CLI_LATEST_BINARY
-
-unzip $CLI_ZIP
+export OPEN_CLI_HOME=/opt/oclip
+export OPEN_CLI_PRODUCT_IN_USE=open-cli
+
+cd $OPEN_CLI_HOME
+
if [ ! -d ./data ]; then mkdir ./data; fi
if [ ! -d ./open-cli-schema ]; then mkdir ./open-cli-schema; fi
+
chmod +x ./bin/oclip.sh
#Make oclip available in path
-ln ./bin/oclip.sh $CLI_BIN
+ln -sf ./bin/oclip.sh /usr/bin/oclip
#Print the version
-onap -v
+oclip -v
-cd -
+cd - \ No newline at end of file
diff --git a/deployment/zip/pom.xml b/deployment/zip/pom.xml
index e8cfa24b..b8e8b1f1 100644
--- a/deployment/zip/pom.xml
+++ b/deployment/zip/pom.xml
@@ -106,6 +106,13 @@
fileset(file:
"${project.build.directory}/../../../README.md")
}
+
+ ant.copy(todir:
+ "${deployUnzip}") {
+ fileset(file:
+ "${project.build.directory}/../installer/install.sh")
+ }
+
ant.zip(destfile:
"${deployFolder}/${outfileName}") {
zipfileset(dir: "${deployUnzip}", excludes: "**/*.sh")